from typing import ClassVar, Optional
from ..base_nodes import CCBaseNode

class YearGroupNode(CCBaseNode):
    __primarylabel__: ClassVar[str] = 'YearGroup'
    year_group: str
    name: str

class YearGroupSyllabusNode(CCBaseNode):
    __primarylabel__: ClassVar[str] = 'YearGroupSyllabus'
    id: str
    name: str
    year_group: str
    subject_name: str
